QGIS Application - Bug report #14517
QGIS 2.14 Processing filter very slow/freeze
2016-03-17 12:23 AM - Magnus Nilsson

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22490
Description

Hi

Using the filter function in processing is very slow, it freezes QGIS for a while for each character you enter.

QGIS 2.14, 64 bit
Windows 7, 64 bit

http://osgeo-org.1560.x6.nabble.com/QGIS-2-14-Processing-filter-VERY-slow-freeze-td5256090.html

Related issues:
Related to QGIS Application - Bug report # 14583: Data directory pollution wi... Closed

2016-03-29

History

#1 - 2016-03-17 12:43 AM - Andreas Neumann

What exactly means "filter function in processing" - is this a specific algorithm? From which provider?

Can you be a bit more specific what you are trying to do - in what part of processing?

#2 - 2016-03-17 12:57 AM - Magnus Nilsson

The problem occurs when | use the search field for finding an algorithm.

#3 - 2016-03-17 01:06 AM - Andreas Neumann

Ok - so in the toolbox "search" field?

| just tested it in 2.14 and 2.15 nightly.

| am - like you - also on Win 7, 64bit, with QGIS 64bit.

So | wonder what is the difference between your and my installation.

Can you share what processing providers are enabled? Menu "Processing" --> "Options" -- "Providers".

Can you try de-activating all the providers that you most likely don't need and see if this helps?

Just trying to find out what triggers this slowness.
#4 - 2016-03-17 01:08 AM - Andreas Neumann

Also - if you don't know what a provider does or offer - better disable it. You most likely won't need it if you don't know what it does.

As an example - | never use the Orfeo Toolbox, Taudem or Lastools - because | either don't work in the domain of Photogrammetry/Hydrologic modelling

or don't own a Lastools license.

#5 - 2016-03-17 01:16 AM - Magnus Nilsson

Yes, the "search" field. | disabled all of the providers and searching is still very slow.

Is there anything else | can check to help find the cause?

#6 - 2016-03-17 01:54 AM - Giovanni Manghi

- OS version deleted (64 bit)

- Priority changed from Normal to Severe/Regression

- Operating System deleted (Windows 7)

| confirm this issue, also on Linux and also on master.

| have the impression that this happens on projects with several layers, but | have not had time yet to double check it.

#7 - 2016-03-17 01:56 AM - Magnus Nilsson

At least in my case, it seems to occur in all projects, even fresh ones with zero layers.

#8 - 2016-03-17 07:33 AM - Maximilian Krambach

| have this issue in processing 2.12.99, which is shipped with my install on qgis (debian testing), but not in processing 2.12.2 (in qgis plugin repository).

Also, | get a (GDAL) message every time | type a letter:

ERROR 4: *1' not recognised as a supported file format.

#9 - 2016-03-17 07:44 AM - Andreas Neumann

very strange - | also have 2.12.99 and the search filter for algorithms in the processing toolbox is working fine.

Did you check if there is just one processing instance and no overlap of an installation in the user profile and one in the QGIS installation directory?

How about other plugins? Do you have many of them enabled? What if you disable all other plugins?

From time to time there are plugins who really mess up QGIS and interfere with other plugins ...
#10 - 2016-03-17 08:42 AM - Maximilian Krambach

It happens on a "fresh install" (deleted ~.qgis2/ and ~.config/QGIS), and also if every toolbox item is disabled.

#11 - 2016-03-18 12:01 AM - Andreas Neumann

adding this information from Claus Serensen

On a QGIS workshop march 9. in Silkeborg, Denmark with 30+ enthusiastic newcomers to QGIS, we encountered 3 pc's with extremely slow - tending to

non-functional - search box in "Processing -> Toolbox".

OS'es ranging from Win7, Win8.1 and Win10. Win7 and Win10 unknown version but with 2.14.0 also unknown bit flavour.

My Win8.1 Pro in 64-bit with QGIS version 2.14.0 in 64 bit and no administrative rights.

By elevating security on the installation folder - in my case c:\\Program Files\QGIS Essen\\ - to allow users "change" rights, the search box became

functional again - on every pc.

#12 - 2016-03-18 12:11 AM - Magnus Nilsson

| do not have admin rights on my computer, so this might be the issue.

#13 - 2016-03-18 04:06 AM - Victor Olaya

| cannot reproduce the error, but i think it might be related to the fact that the filter now tries to find the search string also in the help (the short one) of the
algorithm

Those of you experiencing this that can do a small change in the code, could you try removing these 2 lines from the Processing code and see if this fixes

the issue?

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/gui/Processing Toolbox.py#L136-L137

Thanks in advance!

#14 - 2016-03-18 04:43 AM - Maximilian Krambach

Yes, commenting the two lines resolves the issue. Also, | don't have write permissions in the .99 version of the plugin, so this may be a cause.

#15 - 2016-03-18 04:57 AM - Victor Olaya

Thanks! So it seems that the issue is in fetching that help or scanning it, which in certain systems is a bottleneck, apparently

| will disable those lines and leave the original behaviour, searching only in alg names, not in alg help. That will temporarily fix the problem

| will leave this issue open for a while, so if anyone can provide more info, please add it here

Thanks!
#16 - 2016-03-18 05:03 AM - Maximilian Krambach

Another thing | found is that the faulty search writes an empty file named "1" into my ~.qgis2/python/ folder. This may cause a major freeze in some

windows systems due to file lock and/or permissions?

#17 - 2016-03-18 05:36 AM - Maximilian Krambach

Geoalgorithm.py :90 getCopy(self) creates an instance of an algorithm with parameters.

GdalAlgorithm.py executes getCopy() to get the name of the module. It also sets parameter to "1", which later appears as output.

So somewhere one or several algorithms are executed with a parameter of "1" when initialized. From my output it seems to be some GDAL or OGR

algorithm.

#18 - 2016-03-23 11:32 AM - Alexander Bruy
- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in master. Please reopen if necessary

#19 - 2016-04-05 09:18 AM - Juirgen Fischer

Alexander Bruy wrote:

Fixed in master. Please reopen if necessary

Which commit? Was it backported?

#20 - 2016-04-06 02:57 AM - Alexander Bruy

commit:1fdd177c81
| just backported it.
